﻿@model AHCBL.Dto.Admin.SendEmailDto
@{
    ViewBag.Title = "Send Email";
}

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="xp-contentbar" style="margin-top:60px;">
        <div class="row">
            <!-- Start XP Col -->
            <div class="col-md-12 col-lg-12 col-xl-12">
                <div class="card m-b-30">
                    <div class="card-header bg-white">
                        <h5 class="card-title text-black">팝업레이어 입력</h5>
                    </div>
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                    @Html.HiddenFor(model => model.id)
                    <div class="card-body">
                        <div class="alert alert-light" role="alert">
                            <p>
                                전체회원 5,030명 , 탈퇴대기회원 3명, 정상회원 5,027명 중 메일 발송 대상 선택
                            </p>
                        </div>
                        <div class="table-responsive">
                            <div style="min-width:1366px;max-width:100%; margin:auto;">
                                <table class="table">
                                    <tr>
                                        <th>
                                            <label>메일 제목필수</label>
                                        </th>
                                        <td>
                                            @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            <label>메일 내용필수</label>
                                        </th>
                                        <td>
                                            @Html.TextAreaFor(model => model.detail, new { @class = "ckeditor" })
                                            @Html.ValidationMessageFor(model => model.detail, "", new { @class = "text-danger" })
                                        </td>
                                    </tr>
                                    <tr><td colspan="2"></td></tr>
                                </table>
                                <div class="form-group text-center">
                                    <div class="col-md-offset-2 col-md-10">
                                        <input type="button" value="Back" onclick="location.href='@Url.Action("Index", "SendEmail")'" class="btn btn-light" />
                                        <input type="submit" value="Save" class="btn btn-default" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="xp-contentbar" style="margin-top:60px;">
        <div class="row">
            <!-- Start XP Col -->
            <div class="col-md-12 col-lg-12 col-xl-12">
                <div class="card m-b-30">
                    <div class="card-header bg-white">
                        <h5 class="card-title text-black">회원메일발송</h5>
                    </div>
                </div>
                <div class="card-body">
                    <div class="alert alert-light" role="alert">
                        <p>
                            전체회원 5,030명 , 탈퇴대기회원 3명, 정상회원 5,027명 중 메일 발송 대상 선택
                        </p>
                    </div>
                    <div class="table-responsive">
                        <div style="min-width:1366px;max-width:100%; margin:auto;">
                            <table class="table">
                                <tr>
                                    <th>
                                        <label>메일 제목필수</label>
                                    </th>
                                    <td>
                                        @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                        @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <label>메일 내용필수</label>
                                    </th>
                                    <td>
                                        @Html.TextAreaFor(model => model.detail, new { @class = "ckeditor" })
                                        @Html.ValidationMessageFor(model => model.detail, "", new { @class = "text-danger" })
                                    </td>
                                </tr>
                                <tr><td colspan="2"></td></tr>
                            </table>
                            <div class="form-group text-center">
                                <div class="col-md-offset-2 col-md-10">
                                    <input type="button" value="Back" onclick="location.href='@Url.Action("Index", "SendEmail")'" class="btn btn-light" />
                                    <input type="submit" value="Save" class="btn btn-default" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="form-horizontal">
        <h4>SendEmailDto</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.name, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.detail, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.detail, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.detail, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.create_date, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.create_date, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.create_date, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.active, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.active, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.active, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<script>
    $(function () {
        $("th").addClass("bg-secondary-rgba align-middle");
        $("#liMember").addClass("active");
        $("#meSendEmail").addClass("active");

    });
</script>
